Index: /extensions/Autosize/js/autosizeDetect.js
===================================================================
--- /extensions/Autosize/js/autosizeDetect.js	(revision 17503)
+++ /extensions/Autosize/js/autosizeDetect.js	(revision 17503)
@@ -0,0 +1,34 @@
+
+function on_load() {
+  var myWidth = 0, myHeight = 0, myImgWidth =0,  myImgHeight = 0;
+  if (typeof (window.innerWidth) == 'number') {
+    //Non-IE
+    myWidth = window.innerWidth;
+    myHeight = window.innerHeight;
+  } else if (document.documentElement && (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
+    //IE 6+ in 'standards compliant mode'
+    myWidth = document.documentElement.clientWidth;
+    myHeight = document.documentElement.clientHeight;
+  } else if (document.body && (document.body.clientWidth || document.body.clientHeight)) {
+    //IE 4 compatible
+    myWidth = document.body.clientWidth;
+    myHeight = document.body.clientHeight;
+  }
+
+  href = document.location.href.toString();
+
+  myWidth =parseInt( myWidth);
+  myHeight = parseInt(myHeight);
+
+  myImgWidth = (myWidth - 10);
+  myImgHeight = (myHeight - 100);
+
+  jQuery.cookie('theImageWidth', myWidth, { path: "/" });
+  jQuery.cookie('theImageHeight', myHeight, { path: "/" });
+  jQuery.cookie('autosize_reload', "ok", { path: "/" });
+
+  document.location.reload(false);
+
+ // document.location.reload(false); // from cache
+
+}
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 17502)
+++ /extensions/Autosize/main.inc.php	(revision 17503)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 2.05
+Version: 2.06
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -34,12 +34,22 @@
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
 
- add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL   );	
 
-add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL+21  );
-
-add_event_handler('loc_end_page_tail',array(&$autosize_controler, 'cl_autosize_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL-1);
+// init cl_autosize_script_1 cl_autosize_affiche 
 
 
-add_event_handler('render_element_content', array(&$autosize_controler, 'autosize_calcContent'),40,2);
+add_event_handler('render_element_content',  array(&$autosize_controler,'init'),EVENT_HANDLER_PRIORITY_NEUTRAL,2  );
+
+//avant pamooramics
+add_event_handler('render_element_content', array(&$autosize_controler, 'autosize_calcContent'),40,2); 
+
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL   );
+
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL   );
+
+add_event_handler('loc_after_page_header',array(&$autosize_controler, 'cl_autosize_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL  );
+
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL +21    );
+
+
 
 ?>
Index: /extensions/Autosize/maintain.inc.php
===================================================================
--- /extensions/Autosize/maintain.inc.php	(revision 17502)
+++ /extensions/Autosize/maintain.inc.php	(revision 17503)
@@ -30,8 +30,5 @@
 {
  global $conf;
-
-  if (!isset($conf['cl_autosize']))
-  {
-    
+  if (!isset($conf['cl_autosize'])){    
   $q = '
     INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
@@ -46,6 +43,5 @@
 
 
-function plugin_uninstall()
-{
+function plugin_uninstall(){
   global $conf;
   if (isset($conf['cl_autosize']))
@@ -61,3 +57,57 @@
  }
 
+ function plugin_deactivate(){
+ global $conf ;
+ if (isset($conf['cl_derivatives_sav']))  {    
+    $arr = @unserialize($conf['cl_derivatives_sav']);         
+      if(isset($arr['d'])){ 
+        $query = '
+    		UPDATE '.CONFIG_TABLE.'
+    		  SET value="'.addslashes(serialize($arr)).'"
+    		WHERE param = "derivatives"
+    		LIMIT 1';
+ 			  pwg_query($query);
+
+        $q = 'DELETE FROM '.CONFIG_TABLE.' WHERE param="cl_derivatives_sav"   ;';
+     pwg_query($q);
+       }
+    }     
+ }
+
+function plugin_activate(){
+ global $conf ;
+ if (isset($conf['derivatives']))  {    
+    $arr = @unserialize($conf['derivatives']);  
+     if(isset($arr['d'])){ 
+       if (!isset($conf['cl_derivatives_sav'])){   
+            $q = 'INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+            VALUES ("cl_derivatives_sav","","derivatives save")
+            ;';
+            pwg_query($q);
+       
+            $query = '
+            UPDATE '.CONFIG_TABLE.'
+              SET value="'.addslashes(serialize($arr)).'"
+            WHERE param = "cl_derivatives_sav"
+            LIMIT 1';
+            pwg_query($query);       
+ 
+            $arr = @unserialize($conf['derivatives']);
+            if(!isset($arr['d']['Autosize'])){    
+                  $arr['d']['SelMaxi']=ImageStdParams::get_custom(9,9); 
+                  $arr['d']['Autosize']=ImageStdParams::get_custom(10, 10);  
+                  $conf['derivatives']=serialize($arr);
+                  $arr = @unserialize($conf['derivatives']);       
+                  $query = '
+                      UPDATE '.CONFIG_TABLE.'
+                      SET value="'.addslashes(serialize($arr)).'"
+                      WHERE param = "derivatives"
+                      LIMIT 1';
+                  pwg_query($query);              
+            }   
+        }
+     }
+   }      
+ }
+
 ?>
